#
# spec file for package libee
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libee
Version:        0.4.1
Release:        lp150.1.8
Summary:        Event expression library
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://www.libee.org/
Source0:        http://www.libee.org/download/files/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libestr-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  pkg-config
Patch0:         libee-exports.patch

%description
This package compiles the event expression library used by
the rsyslog daemon.

%package -n libee0 
Summary:        Event expression library
Group:          Development/Libraries/C and C++

%description -n libee0
This package provides the event expression shared library
used by the rsyslog daemon.

%package devel
Summary:        Event expression library development files
Group:          Development/Libraries/C and C++
Requires:       libee0 = %{version}

%description devel
This package provides files required for development with libee,
the event expression library used by the rsyslog daemon.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fiv
%configure --disable-static --with-pic
# fails linking with >1 jobs
%__make V=1

%check
make check

%install
make DESTDIR=%{buildroot} install
rm -f "%buildroot/%_libdir"/*.la

%post -n libee0 -p /sbin/ldconfig

%postun -n libee0 -p /sbin/ldconfig

%files -n libee0
%defattr(-,root,root)
%_libdir/libee.so.0*
%_sbindir/libee-convert

%files devel
%defattr(-,root,root)
%_libdir/libee.so
%_libdir/pkgconfig/libee.pc
%_includedir/libee

%changelog
* Thu Sep  4 2014 crrodriguez@opensuse.org
- libee-exports.patch Only symbols prefixed with "ee_" are part
  of the public API. gems such as "callback"(!?) or "cjson_" should
  remain private as they will certainly clash with the names
  of other shared libraries or application code.
* Wed Jul 11 2012 andreas.stieger@gmx.de
- License is LGPL-2.1+
* Tue Jul  3 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile, kill .la files
* Sun Jul  1 2012 andreas.stieger@gmx.de
- update to Version 0.4.1 (rgerhards), 2012-04-16
  - fixed configure.ac in regard to math lib
- also incorporates Version 0.4.0 (rgerhards), 2012-02-21
  - rename convert tool to prevent name clash with ImageMagick's tool
  - support for decoding json added
  - bugfix: ee_newFieldFromNV() did not work correctly
    value was set, but number of values were not corrected, this the
    value could not be used (looked like non-present)
- also incorporates Version 0.3.2 (rgerhards), 2011-11-22
  - API enhancements:
  * added capability to enumerate tags inside a tagbucket
  * added capability to obtain tagbucket for an event
  - -> ee_EventGetTagbucket()
  * added capability to add a string value to a field in one call
  - -> ee_addStrValueToField()
  * added ee_getTag(), ee_setTags()
  - added additional parser
  * RFC5424Date
  - potentially problematic API change: in earlier versions, the
    function ee_TagbucketHasTag() was errornously name ee_BucketHasTag().
    This has been corrected, potentially resulting in API
    incompatibility. We have accepted this, because we are at level 0.x
    AND know that potentially no current user has ever used this
    function, but instead the upper-layer equivalents. But if thinks
    break, you now know why ;)
  - flat tags are no longer encoded in the CEE encoders as CEE does not
    support flat tags. However, this can be turned on via context flags,
    if desired
  - bugfix: compile problems under Solaris
    closes: http://bugzilla.adiscon.com/show_bug.cgi?id=253
  - bugfix: ee_EventGetTagbucket() always returned -1 (error)
- also incorporates Version 0.3.1 (rgerhards), 2011-04-18
  - API extensions
  - brought tag handling a bit inline with upcoming 0.6 draft CEE spec
- also incorporates Version 0.3.0 (rgerhards), 2011-04-06
  - extended API
  - added support for tags
- also incorporates Version 0.2.0 (rgerhards), 2011-04-01
  - added additional parsers
  * Time12hr
  * Time24hr
  * ISODate
  * QuotedString
  - added CSV encoder (very experimental)
  - removed dependency on libxml (which we currently do not need)
* Fri Feb 11 2011 mt@suse.de
- Initial rsyslog event expression library package
